.main {
  margin-top: 1rem;
  animation: mainAnimation 3s ease-in;
  transition: all 0.4s ease-in;
}

.main.loading {
  filter: blur(4px);
}

@keyframes mainAnimation {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0;
  }
  100% {
    height: 600px;
  }
}

.switcherGroup {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.button {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;

  border-bottom: 1px solid transparent;
  font-size: 0.9rem;
}

.button:hover {
  box-shadow: none;
  border-bottom-color: var(--primary-color);
}

.button.active {
  color: var(--primary-color);
  border-bottom-color: var(--primary-color);
}

.container {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
  margin-top: 1rem;
}

.data {
  width: 600px;
  max-height: 420px;
  overflow: scroll;
  background-color: #0000000f;
  border-radius: 0.3rem;
  padding: 1rem;
  border: 1px solid #b2b2b2;
}

@media (prefers-color-scheme: dark) {
  .button:hover {
    background-color: transparent;
  }

  .button.active {
    color: var(--primary-color-dark-theme);
  }

  .data {
    background-color: #ffffff1c;
  }
}
